﻿namespace Text_Adventure_Tutorial
{
    internal class Potion : Item
    {
        /// <summary>
        /// This class inherits from the Item class
        /// so gets the Name and Description properties from
        /// the base class
        /// It can be used to allow the player to recieve a healing potion (or poison if Healing is negative!)
        /// </summary>
        public int Healing { get; set; }
        public Potion(string name, string description, int healing) : base(name, description)
        {
            Healing = healing;
        }
    }
}
